import tkinter
import tkinter.ttk

class Application(tkinter.ttk.Frame):
    def __init__(self, master=None) :
        super().__init__()
        self.pack()
        self.create_widgets()
        self.master.title("Горячие клавиши")

    def create_widgets(self):
        # Создаем главное меню из одного пункта
        window = self.master
        mainmenu = tkinter.Menu(window)
        window["menu"] = mainmenu

        self.menu = tkinter.Menu(mainmenu, tearoff=False)
        self.menu.add_command(label="Открыть", accelerator="Ctrl+0", command=self.mnu)
        mainmenu.add_cascade(label="Файл", menu=self.menu)
        # Создаем элементы управления
        lbl = tkinter.ttk.Label(self, text="Bвeдите значение", underline=8)
        lbl.pack()
        self.ent = tkinter.ttk.Entry(self)
        self.ent.pack()
        self.btn = tkinter.ttk.Button(self, text="Выполнить", underline=0, command=self.but)
        self.btn.pack()
        self.chk = tkinter.ttk.Checkbutton(self, text="Установить", underline=0)
        self.chk.pack()

        # Выполняем привязку к событиям обработчиков, которые реализуют
        # обработку "горячих клавиш"
        # У надписи для поля ввода мы подчеркнули букву "з".
        # Следовательно, нам следует обрабатывать нажатие комбинации
        # клавиш <Alt>+<P>, ведь именно на клавише с латинской буквой "р"
        # находится кириллическая буква "з"
        self.bind_all("<Alt-KeyPress-p>", lambda evt: self.ent.focus_set())
        # Аналогичным образом обрабатываем "горячие клавиши", указанные
        # для кнопки и флажка
        self.bind_all("<Alt-KeyPress-d>", lambda evt: self.btn.invoke())
        self.bind_all("<Alt-KeyPress-e>", lambda evt: self.chk.invoke())
        # Обрабатываем "горячую клавишу" для пункта "Открыть" меню.
        self.bind_all("<Control-KeyPress-0>", lambda evt: self.menu.invoke(0))

    def mnu(self):
        # Удаляем содержимое поля
        self.ent.delete(0, tkinter.END)
        # Выводим в него текст
        self.ent.insert(0, "Пункт меню.")

    def but(self):
        self.ent.delete(0, tkinter.END)
        self.ent.insert(0, "Кнопка.")
        
root = tkinter.Tk()
app = Application(master=root)
root.mainloop()
